package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysDeptfileMapper;
import com.ruoyi.system.domain.SysDeptfile;
import com.ruoyi.system.service.ISysDeptfileService;

/**
 * 部门文件Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-23
 */
@Service
public class SysDeptfileServiceImpl implements ISysDeptfileService 
{
    @Autowired
    private SysDeptfileMapper sysDeptfileMapper;

    /**
     * 查询部门文件
     * 
     * @param id 部门文件主键
     * @return 部门文件
     */
    @Override
    public SysDeptfile selectSysDeptfileById(Long id)
    {
        return sysDeptfileMapper.selectSysDeptfileById(id);
    }

    /**
     * 查询部门文件列表
     * 
     * @param sysDeptfile 部门文件
     * @return 部门文件
     */
    @Override
    public List<SysDeptfile> selectSysDeptfileList(SysDeptfile sysDeptfile)
    {
        return sysDeptfileMapper.selectSysDeptfileList(sysDeptfile);
    }

    /**
     * 新增部门文件
     * 
     * @param sysDeptfile 部门文件
     * @return 结果
     */
    @Override
    public int insertSysDeptfile(SysDeptfile sysDeptfile)
    {
        sysDeptfile.setCreateTime(DateUtils.getNowDate());
        return sysDeptfileMapper.insertSysDeptfile(sysDeptfile);
    }

    /**
     * 修改部门文件
     * 
     * @param sysDeptfile 部门文件
     * @return 结果
     */
    @Override
    public int updateSysDeptfile(SysDeptfile sysDeptfile)
    {
        return sysDeptfileMapper.updateSysDeptfile(sysDeptfile);
    }

    /**
     * 批量删除部门文件
     * 
     * @param ids 需要删除的部门文件主键
     * @return 结果
     */
    @Override
    public int deleteSysDeptfileByIds(Long[] ids)
    {
        return sysDeptfileMapper.deleteSysDeptfileByIds(ids);
    }

    /**
     * 删除部门文件信息
     * 
     * @param id 部门文件主键
     * @return 结果
     */
    @Override
    public int deleteSysDeptfileById(Long id)
    {
        return sysDeptfileMapper.deleteSysDeptfileById(id);
    }
}
